from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XChainable(XInterface, Protocol):
    def getPredecessor(self) -> XChainable: ...
    def getSuccessor(self) -> XChainable: ...
    def isChainable(self, xChainable: XChainable) -> bool: ...
